<!--
 Copyright (C) 2008,2009  OMRON SOFTWARE Co., Ltd.

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
	  package="com.hiroshica.android.input.nicownn2"
	  android:versionCode="1301" android:versionName="1.3.0.1">
  <uses-permission xmlns:android="http://schemas.android.com/apk/res/android" android:name="android.permission.VIBRATE"/>
    <application android:icon="@drawable/icon" android:label="NicoWnn">

      <!--
	  <intent-filter>
	    <action android:name="com.adamrocker.android.simeji.ACTION_INTERCEPT" />
	    <category android:name="com.adamrocker.android.simeji.REPLACE" />
	    <category android:name="android.intent.category.DEFAULT" />
	  </intent-filter>
	  -->

        <service android:name="NicoWnnJAJP" android:label="nicoWnn IME"
		 android:permission="android.permission.BIND_INPUT_METHOD"
		 android:id="@+id/nicownn_japanese">
          <intent-filter>
            <action android:name="android.view.InputMethod" />
          </intent-filter>
          <meta-data android:name="android.view.im" android:resource="@xml/method_ja" />

        </service>

        <activity android:name="NicoWnnControlPanelJAJP"
                android:label="@string/preference_ime_setting_app" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
            </intent-filter>
        </activity>

        <activity android:name="NicoWnnMain" android:label="@string/nicownn_title" >
          <intent-filter>
            <action android:name="android.intent.action.MAIN" />
            <category android:name="android.intent.category.LAUNCHER" />
          </intent-filter>
        </activity>
	

	<activity android:name="com.hiroshica.android.input.nicownn2.JAJP.UserDictionaryToolsListJAJP" /> 

	<activity android:name="com.hiroshica.android.input.nicownn2.JAJP.UserDictionaryToolsEditJAJP" android:label="@string/user_dictionary_edit_words" /> 

	<activity android:name="com.hiroshica.android.input.nicownn2.EN.UserDictionaryToolsListEN" /> 

	<activity android:name="com.hiroshica.android.input.nicownn2.EN.UserDictionaryToolsEditEN" android:label="@string/user_dictionary_edit_words" /> 

	<activity android:name="com.hiroshica.android.input.nicownn2.NicoWnnMushUp" />
	
	<!--
	<activity android:name="com.hiroshica.android.input.nicownn2.NicoWnnMushUp">
	  <intent-filter>
	    <action android:name="com.adamrocker.android.simeji.ACTION_INTERCEPT" />
	    <category android:name="com.adamrocker.android.simeji.REPLACE" />
	    <category android:name="android.intent.category.DEFAULT" />
	  </intent-filter>
        </activity>
	-->
	
    </application>
	<supports-screens
		android:largeScreens="true"
 		android:normalScreens="true"
 		android:smallScreens="true"
		android:anyDensity="true" />
		
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-sdk android:minSdkVersion="4" />
</manifest> 

